Skip to main content
CurateOne API · v1

Websites as an API call.

Everything CurateOne does — generating complete AI-designed websites, capturing leads, measuring traffic — is available over a clean REST API. Bring your stack; we bring the website operating system.

Generate a website
curl -X POST https://curateone.ai/api/v1/sites \
  -H "Authorization: Bearer co_live_…" \
  -H "Content-Type: application/json" \
  -d '{ "businessName": "Billu Barber", "industry": "barber shop" }'

# → 202 { "jobId": "job_k2f8…" }   poll /jobs/{id} until it's live
At a glance

The whole surface

GroupEndpointWhat it does
AccountGET /meRetrieve the account
SitesGET /sitesList sites
SitesPOST /sitesGenerate a site
SitesGET /sites/{id}Retrieve a site
Generation jobsGET /jobs/{id}Poll a job
Generation jobsDELETE /jobs/{id}Cancel a job
LeadsGET /sites/{id}/leadsList leads
AnalyticsGET /sites/{id}/analyticsRetrieve analytics